Name: cdemu-daemon
Version: 1.3.0
Release: alt2

Summary: CDEmu daemon
License: GPLv2+
Group: System/Servers

URL: http://cdemu.sourceforge.net
Packager: Nazarov Denis <nenderus@altlinux.org>

Source0: http://downloads.sourceforge.net/cdemu/%name-%version.tar.gz 
Source1: cdemu-daemon.init 
Source2: cdemu-daemon.sysconfig

BuildRequires: libao-devel module-init-tools
BuildRequires: libmirage-devel >= 1.3.0
BuildRequires: libdaemon-devel >= 0.11
BuildRequires: libdbus-glib-devel >= 0.70

%description
This is CDEmu daemon, the userspace daemon part of the userspace-cdemu suite, a 
free, GPL CD/DVD-ROM device emulator for linux.

It receives SCSI commands from kernel module and processes them, passing the 
requested data back to the kernel. Daemon implements the actual virtual device; 
one instance per each device registered by kernel module. It uses libMirage, an 
image access library that is part of userspace-cdemu suite, for the image access 
(e.g. sector reading).

The daemon registers itself on D-BUS' system or session bus (depending on the
options passed to it) where it exposes an interface that can be used by clients
to control it.

%prep
%setup -q

%build
%configure
%make_build

%install
%make DESTDIR=%buildroot install
install -Dp -m0644 %SOURCE1 %buildroot%_initrddir/%name
install -Dp -m0644 %SOURCE2 %buildroot%_sysconfdir/sysconfig/%name

%pre
/usr/sbin/groupadd -r -f cdemu

%post
%post_service %name
/sbin/service %name condrestart ||:

%preun
%preun_service %name
/sbin/service %name condstop ||:

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%_bindir/*
%_mandir/man8/*
%config(noreplace) %_sysconfdir/dbus-1/system.d/cdemud-dbus.conf
%config(noreplace) %_sysconfdir/sysconfig/%name
%attr(0755,root,root) %_initrddir/%name

%changelog
* Tue Jan 25 2011 Nazarov Denis <nenderus@altlinux.org> 1.3.0-alt2
- Add LSB init headers

* Fri Nov 19 2010 Nazarov Denis <nenderus@altlinux.org> 1.3.0-alt1
- Initial build for ALT Linux

* Sat Sep 18 2010 tuoma_mel@inbox.ru
- Updated to 1.3.0

* Mon Mar 29 2010 tuoma_mel@inbox.ru
- Updated to 1.2.0

* Sat Jun 28 2008 Rok Mandeljc <rok.mandeljc@email.si> - 1.1.0-1
- Updated to 1.1.0

* Thu Dec 20 2007 Rok Mandeljc <rok.mandeljc@email.si> - 1.0.0-1
- Initial RPM release.
